org.apache.poi.xddf.usermodel

## Class XDDFPathShadeProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFPathShadeProperties

-     @Beta
      public class XDDFPathShadeProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `XDDFPathShadeProperties()`
    `protected` | `XDDFPathShadeProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTPathShadeProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFRelativeRectangle` | `getFillToRectangle()`
    `PathShadeType` | `getPathShadeType()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTPathShadeProperties` | `getXmlObject()`
    `void` | `setFillToRectangle(XDDFRelativeRectangle rectangle)`
    `void` | `setPathShadeType(PathShadeType path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFPathShadeProperties

          public XDDFPathShadeProperties()

    - #### XDDFPathShadeProperties

          protected XDDFPathShadeProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTPathShadeProperties properties)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTPathShadeProperties getXmlObject()

    - #### getFillToRectangle

          public XDDFRelativeRectangle getFillToRectangle()

    - #### setFillToRectangle

          public void setFillToRectangle(XDDFRelativeRectangle rectangle)

    - #### getPathShadeType

          public PathShadeType getPathShadeType()

    - #### setPathShadeType

          public void setPathShadeType(PathShadeType path)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.